package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.sys.vo.EvaluationProcessPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.SysEvaluationProcessDO;

public interface SysEvaluationProcessService {

    PageResult<SysEvaluationProcessDO> queryPage(EvaluationProcessPageReqVO pageVO);

    SysEvaluationProcessDO findOneById(Long evaluationProcessId);

    void addEvaluationProcess(SysEvaluationProcessDO processDO);

    void edit(SysEvaluationProcessDO processDO);

    void delete(Long evaluationProcessId);
}
